ClarisWksGraphInternal::ZoneShape Struct Referencefinal

Internal: small class to store a basic graphic zone of a ClarisWksGraph. More...

Inheritance diagram for ClarisWksGraphInternal::ZoneShape:

## Public Member Functions

| ZoneShape (Zone const &z, Type type)
| constructor
| ~ZoneShape () final
| destructor
void | print (std::ostream &o) const final
| print the data
Type | getType () const final
| return the main type
Type | getSubType () const final
| return the sub type
int | getNumData (int) const final
| return the number of data
ClarisWksStruct::DSET::Child | getChild () const final
| return a child corresponding to this zone
Public Member Functions inherited from ClarisWksGraphInternal::Zone
| Zone ()
| constructor
| Zone (Zone const &)=default
virtual | ~Zone ()
| destructor
MWAWBox2f | getBdBox () const
| return the zone bdbox
virtual int | getZoneId () const
| returns the id of the reference zone
virtual bool | canBeSendAsGraphic () const
| returns true if the zone can be send using a graphic listener (partial check)

## Public Attributes

Type | m_type
| the sub type
MWAWGraphicShape | m_shape
| the shape
int | m_rotate
| the rotation
Public Attributes inherited from ClarisWksGraphInternal::Zone
int | m_zoneType
| the zone type
int | m_page
| the page (checkme: or frame linked )
MWAWBox2f | m_box
| the bdbox
int | m_ordering
| the ordering
Style | m_style
| the style

## Additional Inherited Members

Public Types inherited from ClarisWksGraphInternal::Zone
enum | Type { T_Zone , T_Zone2 , T_Shape , T_Picture , T_Chart , T_DataBox , T_Unknown , T_Line , T_Rect , T_RectOval , T_Oval , T_Arc , T_Poly , T_Pict , T_QTim , T_Movie }
| the list of types More...

## Detailed Description

Internal: small class to store a basic graphic zone of a ClarisWksGraph.

## Constructor & Destructor Documentation

## ZoneShape()

ClarisWksGraphInternal::ZoneShape::ZoneShape | ( | Zone const & | z,
|  | Type | type )

inline

constructor

## ~ZoneShape()

ClarisWksGraphInternal::ZoneShape::~ZoneShape | ( |  | ) |

final

destructor

## Member Function Documentation

## getChild()

ClarisWksStruct::DSET::Child ClarisWksGraphInternal::ZoneShape::getChild | ( |  | ) | const

inline final virtual

return a child corresponding to this zone

Reimplemented from ClarisWksGraphInternal::Zone.

## getNumData()

int ClarisWksGraphInternal::ZoneShape::getNumData | ( | int |  | ) | const

inline final virtual

return the number of data

Reimplemented from ClarisWksGraphInternal::Zone.

## getSubType()

Type ClarisWksGraphInternal::ZoneShape::getSubType | ( |  | ) | const

inline final virtual

return the sub type

Reimplemented from ClarisWksGraphInternal::Zone.

Referenced by ClarisWksGraph::readShape().

## getType()

Type ClarisWksGraphInternal::ZoneShape::getType | ( |  | ) | const

inline final virtual

return the main type

Reimplemented from ClarisWksGraphInternal::Zone.

## print()

void ClarisWksGraphInternal::ZoneShape::print | ( | std::ostream & | o | ) | const

inline final virtual

print the data

Reimplemented from ClarisWksGraphInternal::Zone.

Referenced by print().

## Member Data Documentation

## m_rotate

int ClarisWksGraphInternal::ZoneShape::m_rotate

the rotation

Referenced by print(), ClarisWksGraph::readShape(), and ZoneShape().

## m_shape

MWAWGraphicShape ClarisWksGraphInternal::ZoneShape::m_shape

the shape

Referenced by getNumData(), print(), ClarisWksGraph::readShape(), ClarisWksGraph::sendShape(), and ZoneShape().

## m_type

Type ClarisWksGraphInternal::ZoneShape::m_type

the sub type

Referenced by getSubType(), and ZoneShape().

The documentation for this struct was generated from the following file:

- ClarisWksGraph.cxx